API Reference
Log In
API Reference

Update a model config.

Permissions: system.MEMBER.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required
length ≥ 1

Deployment ID.

Body Params
meta
object

Metadata.

string

Unique identifier. Users will specify this to select a model. Must follow the following format: {provider}/{model_id}. Examples=['openai/gpt-4o-mini', 'Qwen/Qwen2.5-0.5B']

string
enum
Defaults to

Model type. Can be completion, llm, embed, or rerank.

Allowed:
string
length ≤ 255

Model name that is more user friendly.

string

Model owner.

capabilities
array of objects
length ≥ 1
Defaults to

List of capabilities of model.

Capabilities
integer
Defaults to 4096

Context length of model.

languages
array of strings
Defaults to en

List of languages which the model is well-versed in. "*" and "mul" resolves to ['zh', 'en', 'fr', 'it', 'ja', 'ko', 'es'].

Languages

Maximum number of output tokens, if not specified, will be based on context length.

number
Defaults to 108000

Timeout in seconds. Must be greater than 0. Defaults to 30 minutes.

integer
Defaults to 0

Priority for fallback model selection. The larger the number, the higher the priority.

allowed_orgs
array of strings
Defaults to

List of IDs of organizations allowed to use this model. If empty, all orgs are allowed. Allow list is applied first, followed by block list.

Allowed Orgs
blocked_orgs
array of strings
Defaults to

List of IDs of organizations NOT allowed to use this model. If empty, no org is blocked. Allow list is applied first, followed by block list.

Blocked Orgs
number
Defaults to -1

Cost in USD per million (mega) input / prompt token.

number
Defaults to -1

Cost in USD per million (mega) output / completion token.

The default embedding size of the model. For example: openai/text-embedding-3-large has embedding_size of 3072 but can be shortened to embedding_dimensions of 256; cohere/embed-v4.0 has embedding_size of 1536 but can be shortened to embedding_dimensions of 256.

Reduced embedding size. Defaults to None (no reduction). For example: openai/text-embedding-3-large has embedding_size of 3072 but can be shortened to embedding_dimensions of 256; cohere/embed-v4.0 has embedding_size of 1536 but can be shortened to embedding_dimensions of 256.

Transform query that might be needed, especially for HuggingFace models.

number
Defaults to -1

Cost in USD per million embedding tokens.

number
Defaults to -1

Cost in USD for a thousand searches.

Headers
string
required

Service key.

string

User ID.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json